//
// Copyright (c) 2012 Samsung Electronics Co., Ltd.
//
// Licensed under the Flora License, Version 1.1 (the License);
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://floralicense.org/license/
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an AS IS BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

#ifndef _GALLERY_APPWIDGET_PROVIDER_H_
#define _GALLERY_APPWIDGET_PROVIDER_H_

#include <FBaseCol.h>
#include <FShell.h>

class GalleryAppWidgetProvider
: public Tizen::Shell::AppWidgetProvider
 {
public:
	GalleryAppWidgetProvider(void);
	virtual ~GalleryAppWidgetProvider(void);

protected:
	virtual bool OnAppWidgetProviderInitializing(float width, float height, const Tizen::Base::String& userInfo);
	virtual void OnAppWidgetProviderTerminating(void);
	virtual void OnAppWidgetProviderRemoved(void);
	virtual bool OnAppWidgetProviderUpdating(const Tizen::Base::String& argument);
};

class GalleryAppWidgetState
{
public:
		static int GetIndex(void);
		static void SetIndex(int index);
};

#endif // _GALLERY_APPWIDGET_PROVIDER_H_
