//
// Copyright (c) 2012 Samsung Electronics Co., Ltd.
//
// Licensed under the Flora License, Version 1.1 (the License);
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://floralicense.org/license/
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an AS IS BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

#include <new>
#include "GalleryAppWidgetPopupProvider.h"
#include "GalleryAppWidgetPopupProviderFactory.h"

GalleryAppWidgetPopupProviderFactory::GalleryAppWidgetPopupProviderFactory(void)
{

}

GalleryAppWidgetPopupProviderFactory::~GalleryAppWidgetPopupProviderFactory(void)
{

}

Tizen::Shell::AppWidgetPopupProvider*
GalleryAppWidgetPopupProviderFactory::CreateInstance(const Tizen::Base::String& name, const Tizen::Base::String& userInfo)
{
	// TODO:
	// Create the AppWidgetPopupProvider instance through the constructor.
	return new (std::nothrow) GalleryAppWidgetPopupProvider();
}
